HALT(8)

NAZWA
halt, reboot, poweroff - zatrzymanie systemu

SKŁADNIA
/sbin/halt [-n] [-w] [-d] [-f] [-i] [-p]
/sbin/reboot [-n] [-w] [-d] [-f] [-i]
/sbin/poweroff [-n] [-w] [-d] [-f] [-i]

OPIS
Halt zaznacza w pliku /var/log/wtmp, że system jest zamykany, a następnie zleca jądru zatrzymanie systemu, jego restart lub wyłączenie komputera. Jeśli podczas wywołania polecenia halt lub reboot system nie znajduje się w trybie pracy (runlevel) 0 ani 6, to zamiast tego zostanie wywołany shutdown (z parametrem -h lub -r).

OPCJE

-n  Nie wykonuje sync (opróżniania buforów na dysk) przed restartem lub zatrzymaniem.

-w  Nie restartuje ani nie zatrzymuje systemu naprawdę, lecz zapisuje tylko rekord wtmp (w pliku /var/log/wtmp).

-d  Nie zapisuje rekordu wtmp. Opcja -n implikuje \-d.

-f  Wymusza zatrzymanie lub restart, nie wywołuje shutdown(8).

-i  Bezpośrednio przed zatrzymaniem systemu lub restartem wyłącza wszystkie interfejsy sieciowe.

-p  W przypadku zatrzymywania systemu wyłącza komputer. Jest to domyślne zachowanie, gdy halt jest wołany jako poweroff.

DIAGNOSTYKA
Użytkownik nie będący superużytkownikiem otrzyma komunikat `must be superuser' (trzeba być superużytkownikiem).

UWAGI
We wcześniejszych wersjach sysvinit, ani reboot ani halt nie powinny być wywoływane bezpośrednio. Począwszy od wersji 2.74, polecenia halt i reboot wywołują shutdown, o ile system nie znajduje się w trybie 0 ani 6. Oznacza to, że jeżeli halt lub reboot nie będą mogły określić aktualnego trybu pracy (na przykład, gdy nie zostanie prawidłowo zainicjalizowany /var/run/utmp), to zostanie wywołany shutdown. Takie zachowanie może różnić się od oczekiwanego. W celu uzyskania twardego halt lub reboot, należy użyć opcji -f.

AUTOR
Miquel van Smoorenburg, miquels@cistron.nl

ZOBACZ TAKŻE
shutdown(8), init(8)